import { HttpResponse } from '../@types'
import request from './request'
import requestJava from './requestJava'

class passbookService {
  // 获取幸福存折详情
  static async GetCustomerBigRedEnvelope(CustomerId:Number):Promise<HttpResponse>{
    return request('customer_post_GetCustomerBigRedEnvelope',{CustomerId})
  }

//获取幸福存折 -存入明细
static async  getDepositBankbookDetail_V2(CustomerId:Number): Promise<HttpResponse> {
	return request("customer_post_GetDepositBankbookDetail", {CustomerId});
}


//获取幸福存折 -存入明细
static async  getBankbookUseDetail_V2(CustomerId:Number,queryTime:string): Promise<HttpResponse> {
	return request("customer_post_GetDepositBankbookDetail", {CustomerId,queryTime});
}


//获取 幸福存折 -线路数据占比
static async  getLinePercentage_V2(CustomerId:Number): Promise<HttpResponse> {
	return request("customer_post_GetLinePercentage", {CustomerId});
}
  // 获取幸福存折 -存入明细
  static async getDepositBankbookDetail(CustomerId:Number):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getDepositBankbookDetail',{CustomerId})
  }
  // 获取使用明细
  static async getBankbookUseDetail(queryTime:string):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getBankbookUseDetail',{queryTime})
  }
  // 获取 幸福存折 -线路数据占比
  static async getLinePercentage():Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getLinePercentage',{})
  }
}

export default passbookService
